﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">x86</Platform>
    <ProjectGuid>{B07BDC3C-3770-4A07-90D8-5C2A68E2172B}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>DuckGame.MserDuck</RootNamespace>
    <AssemblyName>MserDuck_compiled</AssemblyName>
    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x86'">
    <DebugSymbols>true</DebugSymbols>
    <OutputPath>.</OutputPath>
    <BaseIntermediateOutputPath>build\obj</BaseIntermediateOutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <DebugType>full</DebugType>
    <PlatformTarget>x86</PlatformTarget>
    <ErrorReport>prompt</ErrorReport>
    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
    <WarningLevel>4</WarningLevel>
    <Optimize>false</Optimize>
    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
    <DocumentationFile>MserDuck_compiled.xml</DocumentationFile>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x86'">
    <OutputPath>.</OutputPath>
    <BaseIntermediateOutputPath>build\obj</BaseIntermediateOutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <Optimize>true</Optimize>
    <DebugType>pdbonly</DebugType>
    <PlatformTarget>x86</PlatformTarget>
    <ErrorReport>prompt</ErrorReport>
    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
    <WarningLevel>4</WarningLevel>
    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
    <DocumentationFile>MserDuck_compiled.xml</DocumentationFile>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="DuckGame">
      <HintPath Condition="Exists('E:\Program Files (x86)\Steam\SteamApps\common\Duck Game\')">..\..\..\..\..\..\Program Files %28x86%29\Steam\steamapps\common\Duck Game\DuckGame.exe</HintPath>
      <HintPath Condition="Exists('E:\Program Files (x86)\Steam\SteamApps\common\Duck Game\')">E:\Program Files (x86)\Steam\SteamApps\common\Duck Game\DuckGame.exe</HintPath>
      <HintPath Condition="Exists('C:\Program Files\Steam\SteamApps\common\Duck Game\')">C:\Program Files\Steam\SteamApps\common\Duck Game\DuckGame.exe</HintPath>
      <HintPath Condition="Exists('C:\Program Files (x86)\Steam\steamapps\common\Duck Game\')">C:\Program Files (x86)\Steam\steamapps\common\Duck Game\DuckGame.exe</HintPath>
      <HintPath Condition="Exists('F:\Games\SteamLibrary\steamapps\common\Duck Game')">F:\Games\SteamLibrary\steamapps\common\Duck Game\DuckGame.exe</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="Microsoft.Xna.Framework, Version=4.0.0.0, Culture=neutral, PublicKeyToken=842cf8be1de50553">
      <Private>False</Private>
    </Reference>
    <Reference Include="Microsoft.Xna.Framework.Game, Version=4.0.0.0, Culture=neutral, PublicKeyToken=842cf8be1de50553">
      <Private>False</Private>
    </Reference>
    <Reference Include="Microsoft.Xna.Framework.Graphics, Version=4.0.0.0, Culture=neutral, PublicKeyToken=842cf8be1de50553">
      <Private>False</Private>
    </Reference>
    <Reference Include="Steam">
      <HintPath Condition="Exists('E:\Program Files (x86)\Steam\SteamApps\common\Duck Game\')">..\..\..\..\..\..\Program Files %28x86%29\Steam\steamapps\common\Duck Game\Steam.dll</HintPath>
      <HintPath Condition="Exists('E:\Program Files (x86)\Steam\SteamApps\common\Duck Game\')">E:\Program Files (x86)\Steam\SteamApps\common\Duck Game\Steam.dll</HintPath>
      <HintPath Condition="Exists('C:\Program Files (x86)\Steam\SteamApps\common\Duck Game\')">C:\Program Files (x86)\Steam\SteamApps\common\Duck Game\Steam.dll</HintPath>
      <HintPath Condition="Exists('C:\Program Files\Steam\SteamApps\common\Duck Game\')">C:\Program Files\Steam\SteamApps\common\Duck Game\Steam.dll</HintPath>
      <HintPath Condition="Exists('F:\Games\SteamLibrary\steamapps\common\Duck Game')">F:\Games\SteamLibrary\steamapps\common\Duck Game\Steam.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="MethodInjector">
      <HintPath>MethodInjector.dll</HintPath>
      <Private>False</Private>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <!-- This should ALWAYS stay <Compile Include="src\**\*.cs" /> -->
    <Compile Include="src\**\*.cs" />
  </ItemGroup>
  <ItemGroup>
    <Content Include=".gitignore" />
  </ItemGroup>
  <ItemGroup>
    <None Include="LICENSE" />
    <None Include="README.md" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>